Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.base64
Class Base64Decoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneDecoder
          org.jboss.netty.handler.codec.base64.Base64Decoder

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler

    @ChannelHandler.Sharable
    public class Base64Decoder

extends OneToOneDecoder

Decodes a Base64-encoded `ChannelBuffer` or US-ASCII `String` into a `ChannelBuffer`. Please note that this decoder must be used with a proper `FrameDecoder` such as `DelimiterBasedFrameDecoder` if you are using a stream-based transport such as TCP/IP. A typical decoder setup for TCP/IP would be:

     ChannelPipeline pipeline = ...;

     // Decoders
     pipeline.addLast("frameDecoder", new DelimiterBasedFrameDecoder(80, Delimiters.nulDelimiter()));
     pipeline.addLast("base64Decoder", new Base64Decoder());

     // Encoder
     pipeline.addLast("base64Encoder", new Base64Encoder());

Version:
  $Rev: 2241 $, $Date: 2010-04-16 13:12:43 +0900 (Fri, 16 Apr 2010) $
Author:
  The Netty Project, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`Base64Decoder()`
`Base64Decoder(Base64Dialect dialect)`

Method Summary
`protected Object` | `decode(ChannelHandlerContext ctx, Channel channel, Object msg)` Transforms the specified received message into another message and return the transformed message.

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneDecoder
`handleUpstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Decoder

    public Base64Decoder()

### Base64Decoder

    public Base64Decoder(Base64Dialect dialect)

Method Detail

### decode

    protected Object decode(ChannelHandlerContext ctx,
                            Channel channel,
                            Object msg)
                     throws Exception

  Description copied from class: `OneToOneDecoder`
  Transforms the specified received message into another message and return the transformed message. Return `null` if the received message is supposed to be discarded.

  Specified by:
    `decode` in class `OneToOneDecoder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.